org.codehaus.plexus.compiler

## Class CompilerResult

- java.lang.Object
- - org.codehaus.plexus.compiler.CompilerResult

    public class CompilerResult
    extends Object

The result returned from a compiling language processor (aka compiler), possibly including some messages.

Since:
  2.0
Author:
  Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`CompilerResult()` Constructs a successful compiler result with no messages.
`CompilerResult(boolean success, List<CompilerMessage> compilerMessages)` Constructs a compiler result.

### Method Summary

All Methods Instance Methods Concrete Methods
`CompilerResult` `compilerMessages(List<CompilerMessage> compilerMessages)`
`List<CompilerMessage>` `getCompilerMessages()`
`boolean` `isSuccess()`
`void` `setCompilerMessages(List<CompilerMessage> compilerMessages)`
`void` `setSuccess(boolean success)`
`CompilerResult` `success(boolean success)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerResult

    public CompilerResult()

Constructs a successful compiler result with no messages.

#### CompilerResult

    public CompilerResult(boolean success,
                          List<CompilerMessage> compilerMessages)

Constructs a compiler result.

Parameters:
  `success` - if the compiler process was successful or not
  `compilerMessages` - a list of messages from the compiler process

### Method Detail

#### isSuccess

    public boolean isSuccess()

#### setSuccess

    public void setSuccess(boolean success)

#### success

    public CompilerResult success(boolean success)

#### getCompilerMessages

    public List<CompilerMessage> getCompilerMessages()

#### setCompilerMessages

    public void setCompilerMessages(List<CompilerMessage> compilerMessages)

#### compilerMessages

    public CompilerResult compilerMessages(List<CompilerMessage> compilerMessages)